package cn.com.poc.ocr.rest;

import cn.com.yict.framemax.core.rest.BaseRest;
import cn.com.poc.ocr.dto.BizFileOcrCacheDto;
import cn.com.yict.framemax.data.model.PagingInfo;
import java.util.Collection;
import java.util.List;
import cn.com.yict.framemax.web.permission.Access;
import cn.com.yict.framemax.web.permission.Permission;
import org.springframework.web.bind.annotation.RequestBody;

public interface BizFileOcrCacheRest extends BaseRest {

    BizFileOcrCacheDto getById(java.lang.Long id) throws Exception;
    
    List<BizFileOcrCacheDto> getList(BizFileOcrCacheDto example,PagingInfo pagingInfo) throws Exception;
        
    BizFileOcrCacheDto save(BizFileOcrCacheDto dto) throws Exception;

    BizFileOcrCacheDto update(BizFileOcrCacheDto dto) throws Exception;

    void deletedById(java.lang.Long id) throws Exception;
        
}